class Loop0_LEER : public LOOP
{
    public:
        Loop0_LEER()
        {
        }
    
        void exec(unsigned char t)
        {
        }
} loop0_LEER;


//Ton als Rechtecksignal auf IO2 == SL2 == PC5
class Loop0_Ton2500Hz : public LOOP
{
    public:        
        Loop0_Ton2500Hz()
        {
            DDRC |= (1<<PC5);
            PORTC &= ~(1<<PC5);
        }
    
        void exec(unsigned char t)
        {
            if(t%2==0)
                PORTC |= (1<<PC5);
            else
                PORTC &= ~(1<<PC5);       
        }
} loop0_Ton2500Hz;

//Sensorwerte aktuell halten
class Loop0_Sensor : public LOOP
{
    public:        
        Loop0_Sensor()
        {
        }
    
        void exec(unsigned char t)
        {
            sensor.aktualisieren();
        }
} loop0_Sensor;

//Schnelles Seriell aktualisieren!
class Loop0_Serial_aktualisieren : public LOOP
{
    public:
        Loop0_Serial_aktualisieren()
        {
        }
    
        void exec(unsigned char t)
        {
            serial.aktualisieren();
        }
} loop0_Serial_aktualisieren;